import request from '@/utils/request'

// 查询课堂评论点赞列表
export function listUserCourseCommentLike(query) {
  return request({
    url: '/course/userCourseCommentLike/list',
    method: 'get',
    params: query
  })
}

// 查询课堂评论点赞详细
export function getUserCourseCommentLike(id) {
  return request({
    url: '/course/userCourseCommentLike/' + id,
    method: 'get'
  })
}

// 新增课堂评论点赞
export function addUserCourseCommentLike(data) {
  return request({
    url: '/course/userCourseCommentLike',
    method: 'post',
    data: data
  })
}

// 修改课堂评论点赞
export function updateUserCourseCommentLike(data) {
  return request({
    url: '/course/userCourseCommentLike',
    method: 'put',
    data: data
  })
}

// 删除课堂评论点赞
export function delUserCourseCommentLike(id) {
  return request({
    url: '/course/userCourseCommentLike/' + id,
    method: 'delete'
  })
}

// 导出课堂评论点赞
export function exportUserCourseCommentLike(query) {
  return request({
    url: '/course/userCourseCommentLike/export',
    method: 'get',
    params: query
  })
}